%define php5_extension eaccelerator

Name: php5-eaccelerator
Version: 0.9.5.3
Release: alt2

Summary: PHP accelerator, optimizer, encoder and dynamic content cache
License: GPL
Group: System/Servers

Url: http://eaccelerator.net
Source0: http://bart.eaccelerator.net/source/%version/%php5_extension-%version.tar.bz2
Source1: php-%php5_extension.ini
Source2: php-%php5_extension-params.sh
Packager: Michael Shigorin <mike@altlinux.org>

# Automatically added by buildreq on Wed Nov 22 2006
BuildRequires(pre): rpm-build-php5 >= %php5_version-%php5_release
BuildRequires: php5-devel = %php5_version-%php5_release

%description
eAccelerator is a free open source PHP accelerator, optimizer, encoder and
dynamic content cache for PHP. It increases performance of PHP scripts by
caching them in compiled state, so that the overhead of compiling is almost
completely eliminated. It also optimises the script to speed up execution
of PHP scripts. eAccelerator typically reduces server load and increases the
speed of your PHP code by 1-10 times.  Works with PHP FastCGI as well.

%prep
%setup -c

%build
%add_optflags -fPIC
pushd %php5_extension-%version
phpize
%configure \
	--enable-eaccelerator=shared \
	--without-eaccelerator-encoder \
	--without-eaccelerator-loader \
	--with-eaccelerator-shared-memory \
	--with-eaccelerator-content-caching
%php5_make
popd

%install
pushd %php5_extension-%version
%php5_make_install
mkdir -p %buildroot/%_cachedir/%php5_extension
install -D -m644 %SOURCE1 %buildroot/%php5_extconf/%php5_extension/config
install -D -m644 %SOURCE2 %buildroot/%php5_extconf/%php5_extension/params
popd

%files
%php5_extconf/%php5_extension
%php5_extdir/*
%_cachedir/%php5_extension
#doc AUTHORS ChangeLog NEWS README
#doc doc/ README.eLoader

%post
%php5_extension_postin

%preun
%php5_extension_preun

# TODO:
# - conditional eloader/encoder build?
# - add/separate admin stuff

%changelog
* Sun Oct 05 2008 Michael Shigorin <mike@altlinux.org> 0.9.5.3-alt2
- built against php5-5.2.7.20080920

* Tue Sep 09 2008 Michael Shigorin <mike@altlinux.org> 0.9.5.3-alt1
- 0.9.5.3 built against php5-5.2.7.20080627
- spec cleanup
- added Url:
- me as a Packager:

* Sun Apr 13 2008 Andrew Kornilov <hiddenman@altlinux.ru> 0.9.5.2-alt1
- New version

* Mon Jun 18 2007 Andrew Kornilov <hiddenman@altlinux.ru> 0.9.5.1-alt1
- New version
- Removed patch for use with PHP 5.2.x (fixed by upstream)
- Rebuild with new php

* Thu Apr 12 2007 Andrew Kornilov <hiddenman@altlinux.ru> 0.9.5-alt4
- Rebuild with new php5
- Patch for use with PHP 5.2.x

* Fri Mar 23 2007 Andrew Kornilov <hiddenman@altlinux.ru> 0.9.5-alt3
- Rebuild with new php5

* Sat Feb 03 2007 Andrew Kornilov <hiddenman@altlinux.ru> 0.9.5-alt2
- Fixed buildrequires

* Thu Feb 01 2007 Andrew Kornilov <hiddenman@altlinux.ru> 0.9.5-alt1
- First build for Sisyphus

